SquishyCash Stats:
153,253Current Members
$342,452.46Paid Out Since 2007
You do not have any stats because you have either not logged in or have not registered yet.
or


Clicking on this ad will open up a new browser window.
Advertise Here


Earn $1.50, Win $1 on Sunday! Aug 6, 2017
Sunday only:

Earn $1.50, Win $1 Promotion!
August 6 only
. Ends at 11:59pm EST.
Earn $1.50 in offer earnings and instantly get $1 added to your account balance!
This promotion is only good for your first $1.50. You can only win this bonus once.
Quick Links: Free Offers | Surveys | Clicks | Trials | Shopping | Survey Wall
Click here to see current stats for this promotion!


Starts Sunday:

The Squishy Lottery Game! Win 1 Lottery Ticket for Every $3 Earned!
August 6-17. Ends at 11:59pm EST.
At the end of this promotion, we will choose a lottery number between 100 and 999 via the random number generator on random.org. A short video showing the random number pick will be sent to your SC inbox after the promotion is over, but before winnings are added to accounts.
Each time you reach $3 in offer earnings, you'll win a lottery ticket!
The lottery tickets will be sent to your SC inbox when the promotion ends. You will then reply to the message with your number guess(es). You must reply to the message stating your number guess(es) in order to be entered into the lottery. You can earn an unlimited amount of lottery tickets.
If you guess the number correctly, you'll win $100. If you guess within 5 numbers, you'll win $20. If you guess within 10 numbers, you'll win $10. If you guess within 100 numbers, you'll win $1. As long as you reply to the inbox message with your guess(es), you'll get $0.25 per ticket.
Lottery number guesses can only be submitted up until 11:59pm EST on August 18, the day after the promotion ends.
A little after midnight on August 19, the number will be chosen on random.org, the video showing the pick will be sent to all SC inboxes, and all winnings will be added to accounts shortly after.

Quick Links: Free Offers | Surveys | Clicks | Trials | Shopping
| Survey Wall
Click here to see current stats for this promotion!

 
Comments
Lizyjoel at Aug 15, 2017

Am interested how do I join offer. Please am new here
zbercon at Aug 14, 2017

How do i join your offers
rahat19hasan at Aug 11, 2017

hii.your offer request pendind 1 day what i do pls tell
Arie84 at Aug 8, 2017

How.......!!!!
Binafatima at Aug 6, 2017

Hello
 
You must be logged in to post comments.




  

| 02:44 PM
Squishy Updates
shirlchave won 5 chips in Squishy Slots!
| 03:20 PM
Squishy Updates
Remydj just joined! Welcome to SquishyCash!
| 03:54 PM
Squishy Updates
Joker334 just joined! Welcome to SquishyCash!
| 04:01 PM
Squishy Updates
Stephmade just joined! Welcome to SquishyCash!
| 04:43 PM
Squishy Updates
satlnflame had a 5 chips offer approved!
| 07:25 PM
Squishy Updates
squishyhow just joined! Welcome to SquishyCash!
| 07:32 PM
Squishy Updates
Irfanmohim just joined! Welcome to SquishyCash!
| 08:11 PM
Squishy Updates
tanealove just joined! Welcome to SquishyCash!
| 08:21 PM
Squishy Updates
tanealove won 5 chips in Squishy Slots!
| 08:21 PM
Squishy Updates
tanealove won 5 chips in Squishy Slots!
| 08:44 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 08:44 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 08:44 PM
Squishy Updates
glenlogie1 had a $0.75 offer approved!
| 08:45 PM
Squishy Updates
satlnflame won One Mystery Door Prize! in a contest!
| 08:54 PM
Squishy Updates
Carrieh1 just joined! Welcome to SquishyCash!
| 10:01 PM
Squishy Updates
lea34 just joined! Welcome to SquishyCash!
| 10:01 PM
Squishy Updates
pouyapeyravi just joined! Welcome to SquishyCash!
| 01:34 AM
Squishy Updates
dktlok9820 just joined! Welcome to SquishyCash!
| 02:00 AM
Squishy Updates
Cb061 just joined! Welcome to SquishyCash!
| 02:59 AM
Squishy Updates
Jasonthedark just joined! Welcome to SquishyCash!
You must be logged in to post messages.
-08/17 The Earn $10, Win $3 Promotion Starts Thursday!

-08/16 The 1-Day Cash Earnings Contest for Wednesday!

-08/15 The 1-Day Survey Completion Contest for Tuesday!

-08/14 Do 10 Offer Walls, Win 10 Chips on Monday!

-08/13 Earn $1.25, Win $0.75 on Sunday!

-08/12 Earn $4, Win a $1 Amazon Gift Card on Saturday!

-08/11 The 1-Day Offers Completion Contest for Friday!

-08/10 The Survey Promotion for Thursday!

-08/09 Earn $5, Win $2 on Wednesday!

-08/08 Win 10 Chips for Every Approved Offer on Tuesday!